Bug 58367 - Trident server: Cannot switch back to X from Console
Summary: Trident server: Cannot switch back to X from Console
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86-Servers   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-15 11:38 UTC by Need Real Name
Modified: 2007-04-18 16:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-16 21:03:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xfree Config File (3.73 KB, text/plain)
2002-01-16 20:33 UTC, Need Real Name
no flags Details
Xfree log file (42.34 KB, text/plain)
2002-01-16 20:35 UTC, Need Real Name
no flags Details

Description Need Real Name 2002-01-15 11:38:36 UTC
Description of Problem:
System runs a Trident Cyberblade i1 embedded on a MSI 6378 main board.

Component is XFree86-4.1.0-3, 7.2 System with all latest up2dates.

System cannot switch between X and console and back. After switching to console, 
system fails to produce a valid VGA signal when going back to  X (alt-f7). 

Can kill X to restore Service.

Version-Release number of selected component (if applicable): 4.1.0-3


How Reproducible: switch to console from X, try to switch back. 



Additional Information:
Using NoAccel etc does not help, it makes things worse. X totally destroys its
output with
NoAccel on this platform.

Comment 1 Mike A. Harris 2002-01-16 10:58:07 UTC
What does "uname -a" report?  Also, run the following command on the machine,
without using ssh:  xdpyinfo | grep "vendor release"

Please attach both your X log, and config file using the link below.

Comment 2 Need Real Name 2002-01-16 20:33:08 UTC
[root@runes main]# uname -a
Linux runes 2.4.17 #5 Tue Jan 15 01:07:32 CET 2002 i686 unknown
[root@runes main]# xdpyinfo | grep "vendor release"
vendor release number:    40100000

The error was present with kernel 2.4.7 too. I had to upgrade and 2.4.9 panics
(bug open against it already).

Xlog and config will be attached momentarily.

Btw: XFree 3 works fine on switching, but the display gets a lot of rendering
errors 
(blinking horizontal stripes on window borders) so reverting to 3 is no option.

Comment 3 Need Real Name 2002-01-16 20:33:54 UTC
Created attachment 42634 [details]
Xfree Config File

Comment 4 Need Real Name 2002-01-16 20:35:11 UTC
Created attachment 42635 [details]
Xfree log file

Comment 5 Alan Hourihane 2002-01-16 21:03:37 UTC
This bug is already fixed in the CVS

XFree86 4.2.0 will be out soon.

Comment 6 Mike A. Harris 2002-02-09 19:23:55 UTC
Fixed in 4.2.0 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.